d3.csv('https://gist.githubusercontent.com/ha5757/f281ebdb677055576d8a4a624bf91130/raw/efb9fca75674627f10092e59de65201b4ce2d237/bonus.csv', function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}
var trace1 = {
	x:unpack(rows, 'Employed'), 
  y: unpack(rows, 'Employed_full_time_year_round'), 
  z: unpack(rows, 'Total'),
	mode: 'markers',
      marker: {
        size: 12,
        line: {
          color: 'blue',
          width: 0.5
        }
      },
	type: 'scatter3d'
};


var data = [trace1];
var layout = {margin: {
	l: 0,
	r: 0,
	b: 0,
	t: 0
  },
	scene: {
		xaxis:{title: 'Employed',backgroundcolor: "rgb(300, 50, 200)",
	 gridcolor: "rgb(300, 450, 55)",
	 showbackground: true,
	 zerolinecolor: "rgb(200, 395, 155)"},
		yaxis:{title: 'Employed_full_time_year_round',
     backgroundcolor: "rgb(30, 10,20)",
     gridcolor: "rgb(255, 255, 255)",
     showbackground: true,
     zerolinecolor: "rgb(55, 55, 55)"},
		zaxis:{title: 'Total',
     backgroundcolor: "rgb(30, 230,230)",
     gridcolor: "rgb(255, 455, 255)",
     showbackground: true,
     zerolinecolor: "rgb(15, 15, 55)"},
		}        
  };
Plotly.newPlot('myDiv', data, layout);
});
